/*@#page-include#(common-css.html)*/

<div class="background-style">
  <h2 class="mandelbrot-title">Welcome to Lindeymayer systems simulation.</h2>

  <div class="mandelbrot-grid">
    <canvas class="canvas-passive" id="l_systems_canvas" tabindex="1"></canvas>
    <div class="configuration-toolbox-ui">
      <div id="rasterWidth">Raster width:</div>
      <div id="rasterHeight">Raster height:</div>
      <div id="level">Depth level:</div>
      <div class="selectFractalTypePicker">
        Predefined L-Systems:
        <select id="l_system_type" title="l_system_type"> </select>
      </div>
      <div class="render-button-holder">
        <button type="button" id="render-button">Render fractal</button>
      </div>
    </div>
  </div>
</div>

<script id="l-system-vertex-shader" type="x-shader/x-vertex">#version 300 es
      	layout(location = 0) in vec2 a_position;
      	layout(location = 1) in vec4 a_color;

      	uniform vec2 u_resolution;

      	out vec4 v_color;

      	void main() {
      		vec2 clip_space_position = 2.0 * (a_position) - 1.0;

      		gl_Position = vec4(clip_space_position, 0.0, 1.0);
      		gl_PointSize = 1.0;
      		v_color = a_color;
      	}
</script>

<script id="l-system-fragment-shader" type="x-shader/x-fragment">#version 300 es
    	precision mediump float;

    	in vec4 v_color;
    	out vec4 out_color;
        void main(){
            out_color = v_color;
        }
</script>

/*@#page-include#(common-scripts.html)*/

<!-- L-System scripts -->
<script src="@#file#(lsystem.js)" type="text/javascript"></script>
<script src="@#file#(LSystem.js)" type="text/javascript"></script>
<script src="@#file#(initLSystems.js)" type="text/javascript"></script>
